package com.gic.haoban.manage.service.entity.contact;

import java.util.Date;
import java.io.Serializable;

/**
 * 跟进日志表(TabContactFollow)实体类
 *
 * @author TONGYI Lingma
 * @since 2024-09-27 16:09:38
 */
public class TabContactFollow implements Serializable {
    private static final long serialVersionUID = 973688857967269974L;
    /**
     * 主键id
     */
    private Long followId;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 导购code
     */
    private String clerkCode;
    /**
     * 跟进类型 1私人电话 2企微会话 3发送商品 4企微群发 5标记建联
     * @see com.gic.haoban.manage.api.enums.contact.ContactFollowTypeEnum
     */
    private Integer followType;
    /**
     * 跟进记录
     */
    private String followRemark;
    /**
     * 跟进上传素材,数组格式
     */
    private String followMaterial;
    /**
     * 关联商品信息
     */
    private String goodsInfo;
    /**
     * 跟进时间
     */
    private Date followTime;
    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * 是否删除
     */
    private Integer deleteFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    public Long getFollowId() {
        return followId;
    }

    public void setFollowId(Long followId) {
        this.followId = followId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getFollowType() {
        return followType;
    }

    public void setFollowType(Integer followType) {
        this.followType = followType;
    }

    public String getFollowRemark() {
        return followRemark;
    }

    public void setFollowRemark(String followRemark) {
        this.followRemark = followRemark;
    }

    public String getFollowMaterial() {
        return followMaterial;
    }

    public void setFollowMaterial(String followMaterial) {
        this.followMaterial = followMaterial;
    }

    public String getGoodsInfo() {
        return goodsInfo;
    }

    public void setGoodsInfo(String goodsInfo) {
        this.goodsInfo = goodsInfo;
    }

    public Date getFollowTime() {
        return followTime;
    }

    public void setFollowTime(Date followTime) {
        this.followTime = followTime;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}